package com.hotent.portal.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

/**
 * @author 梁宏锦
 * @date 2024/07/16
 **/
@ApiModel(description="模板消息")
public class SysMsgTempletVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    protected String id;
    @ApiModelProperty(value = "'模板名称'")
    protected String mb;
    @ApiModelProperty(value = "'应用场景")
    protected String yycj;
    @ApiModelProperty(value = "场景描述")
    protected String cjms;
    @ApiModelProperty(value = "模板编码")
    protected String mbbm;
    @ApiModelProperty(value = "模板内容")
    protected String mbnr;
    @ApiModelProperty(value = "创建时间")
    protected LocalDateTime cjsj;
    @ApiModelProperty(value = "是否删除")
    protected Integer delFlag;

    private List<SysMsgTempletDetailVo> detailList = new ArrayList<SysMsgTempletDetailVo>();

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getMb() {
        return mb;
    }

    public void setMb(String mb) {
        this.mb = mb;
    }

    public String getYycj() {
        return yycj;
    }

    public void setYycj(String yycj) {
        this.yycj = yycj;
    }

    public String getCjms() {
        return cjms;
    }

    public void setCjms(String cjms) {
        this.cjms = cjms;
    }

    public String getMbbm() {
        return mbbm;
    }

    public void setMbbm(String mbbm) {
        this.mbbm = mbbm;
    }

    public String getMbnr() {
        return mbnr;
    }

    public void setMbnr(String mbnr) {
        this.mbnr = mbnr;
    }

    public LocalDateTime getCjsj() {
        return cjsj;
    }

    public void setCjsj(LocalDateTime cjsj) {
        this.cjsj = cjsj;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public List<SysMsgTempletDetailVo> getDetailList() {
        return detailList;
    }

    public void setDetailList(List<SysMsgTempletDetailVo> detailList) {
        this.detailList = detailList;
    }
}
